{ config, lib, pkgs, ... }:

  let password = builtins.readFile /var/lib/wallabag/token;

  in
{
  # Enable Docker
  virtualisation.docker = {
    enable = true;
    storageDriver = "overlay2";
  };

  # Container setup
  docker-containers = {
    wallabag = {
      image = "decentralize/wallabag";
      environment = {
        SYMFONY__ENV__DATABASE_DRIVER = "pdo_pgsql";
        SYMFONY__ENV__DATABASE_NAME = "wallabag";
        SYMFONY__ENV__DATABASE_USER = "wallabag";
        SYMFONY__ENV__DATABASE_PASSWORD = password;
        SYMFONY__ENV__FOSUSER_REGISTRATION= "false";
        SYMFONY__ENV__DOMAIN_NAME= "https://coolneng.duckdns.org/wallabag";
        POPULATE_DATABASE = "false";
      };
      ports = [ "80:8081" ];
    };
  };
}
